////////////////////////////////////////////////////////////////////////////////
//
//	BEPI software error handling tools
//
////////////////////////////////////////////////////////////////////////////////

#ifndef	__ERRORS_H
#define	__ERRORS_H

#ifndef	FALSE
#define	FALSE	0
#define	TRUE 	(! FALSE)
#endif

typedef enum {			// Error and Warnings
	OK = 0,

	WARNING = 2,		// Warnings
	WAR_argument,
	WAR_date,
	WAR_eof,
	WAR_open,
	WAR_read,
	WAR_write,
	WAR_packet_size,

	ERROR = 100,		// Errors
	ERR_argument,
	ERR_date,
	ERR_eof,
	ERR_open,
	ERR_read,
	ERR_write,
	ERR_packet_size,
}	t_err;


//	Test fatal error
//
int	Error (t_err err);

//	Test warning
//
int	Warning (t_err err);


//	Update trace level
//
void 	Set_trace_level (int level);


//	Log error messages and warnings
//
void	Error_log (char * fname, char * format, ...);


//	Log information message
//
void	Message_log (int level, char * fname, char * format, ...);
	
#endif

