////////////////////////////////////////////////////////////////////////////////
//
//	Module	TIMETAGS
//
//	Various time tags handling functions
//
////////////////////////////////////////////////////////////////////////////////

#ifndef	__TIMETAGS_H
#define	__TIMETAGS_H

#include <assert.h>
#include "cdf.h"

typedef	struct {
	int	year;
	int	month;
	int	day;
}	t_date;

typedef	unsigned char	byte_t;


//	Convert string to date
//
t_err	str_to_date (const char * str, t_date * date);


//	Convert date to string
//
char *	date_to_str (t_date date);


//	Convert date to yyyymmdd string
//	
char *	yyyymmdd (t_date date);


//	Convert encoded date to string
//
char *	BCD_to_date (unsigned char * str);


//	Compute TT200 time from TI ticks
//
long long TI_to_TT2000 (int ti);


//	Compute TT2000 from string yyyy-mm-ddThh:mm:ss.nnnnnn
//
long long str_to_TT2000 (char * str);


//	Reset TI0 origin from date string
//
t_err 	Reset_TI0_base (char * strtime);


//	Read TI0 base from external text file
//
//	New format of text file :
//	- date of day
//	- TI0 origin 
//	- data format :
//	  SDT : SDTP library
//	  HEX : haxadecimal dump from MDP
//	  OLD : SDTP data but old TM format (old MDP software version)
//
//	yyyy-mm-dd	yyyy-mm-ddThh:mm:ss.mmmmmm key
//
t_err	Read_TI0_base (t_date date);
		
#endif
